ApiManagementV1WorkspacesWorkspaceidEndpointsIdSubscriptions

Subscribe endpoint to event types

POST
/management/v1/workspaces/{workspaceId}/endpoints/{id}/subscriptions
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

idstring
eventTypeIdsarray<string>

Array of event type public IDs to subscribe to

Response Body

curl -X POST "https://loading/management/v1/workspaces/{workspaceId}/endpoints/string/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "eventTypeIds": [      "string"    ]  }'
{
  "subscribed": 0
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Endpoint not found"
  }
}